Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access.support
Class NameListToListModelAdapter

    java.lang.Object
      |
      +--javax.swing.AbstractListModel
            |
            +--ru.biosoft.access.support.NameListToListModelAdapter

Direct Known Subclasses:
  NameListToComboBoxModelAdapter

public class NameListToListModelAdapter
extends AbstractListModel
implements DataCollectionListener

Constructor Summary
`NameListToListModelAdapter(DataCollection dataCollection)`

Method Summary
`void` | `elementAdded(DataCollectionEvent e)`
`void` | `elementChanged(DataCollectionEvent e)`
`void` | `elementRemoved(DataCollectionEvent e)`
`void` | `elementWillAdd(DataCollectionEvent e)`
`void` | `elementWillChange(DataCollectionEvent e)`
`void` | `elementWillRemove(DataCollectionEvent e)`
`Object` | `getElementAt(int index)`
`int` | `getSize()`

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, removeListDataListener, getListeners`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NameListToListModelAdapter

    public NameListToListModelAdapter(DataCollection dataCollection)

Method Detail

### elementAdded

    public void elementAdded(DataCollectionEvent e)
                       throws java.lang.Exception

### elementChanged

    public void elementChanged(DataCollectionEvent e)
                         throws java.lang.Exception

### elementRemoved

    public void elementRemoved(DataCollectionEvent e)
                         throws java.lang.Exception

### elementWillAdd

    public void elementWillAdd(DataCollectionEvent e)
                         throws ru.biosoft.access.DataCollectionVetoException,
                                java.lang.Exception

### elementWillChange

    public void elementWillChange(DataCollectionEvent e)
                            throws ru.biosoft.access.DataCollectionVetoException,
                                   java.lang.Exception

### elementWillRemove

    public void elementWillRemove(DataCollectionEvent e)
                            throws ru.biosoft.access.DataCollectionVetoException,
                                   java.lang.Exception

### getElementAt

    public Object getElementAt(int index)

### getSize

    public int getSize()

Association Links

to Class ru.biosoft.access.DataCollection

to Class java.util.List

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM